<?php
namespace tests\Zeedhi\Framework\Zeedhi_Annotations;

use Zeedhi\Framework\Annotations\Definitions\OpenAPI;
use Zeedhi\Framework\Annotations\Definitions\Resource;
use Zeedhi\Framework\Annotations\Definitions\Operation;
use Zeedhi\Framework\Annotations\RequestMapping;

/**
 * @OpenAPI(
 *  paths={@Resource(
 *      path="testing",
 *      summary="summary",
 *      description="description",
 *      operations={@Operation(
 *          type="post",
 *          summary="summary",
 *          description="description"
 *      )}
 *   )}
 * )
 */
class Testing {
    public $initialized = true;

    public $dataSourceName = 'myDataSource';

    /**
     * @RequestMapping(uri="/locations", method="POST")
     */
     public function save() {}

    /**
     * @RequestMapping(uri="/locations/{LOCATION_ID}", method="GET")
     */
     public function find() {}

    public function delete() {}
}